Eclipse GEF 3.3

## org.eclipse.gef.handles
Class ConnectionHandle

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.gef.handles.AbstractHandle
              org.eclipse.gef.handles.SquareHandle
                  org.eclipse.gef.handles.ConnectionHandle

All Implemented Interfaces:
  AncestorListener, java.util.EventListener, Handle, IFigure, java.beans.PropertyChangeListener

Direct Known Subclasses:
  BendpointHandle, ConnectionEndpointHandle

public abstract class ConnectionHandle
extends SquareHandle
implements java.beans.PropertyChangeListener

The base implementation for handles used with editparts whose figure is a `Connection`. This class adds an additional listener to the owner's connection figure to receive notification whenever the owner's connection's points are changed. Changing the points of a connection does not fire "figure moved", it only fires "points" property as changing.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.AncestorListener
`AncestorListener.Stub`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.gef.handles.SquareHandle
`DEFAULT_HANDLE_SIZE`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`ConnectionHandle()` Creates a new ConnectionHandle.
`ConnectionHandle(boolean fixed)` Creates a new handle with the given fixed setting.

Method Summary
`void` `addNotify()` Adds this as a `FigureListener` to the owner's `Figure`.
`Connection` `getConnection()` Convenience method to return the owner's figure typed as `Connection`.
`protected boolean` `isFixed()` Returns true if the handle cannot be dragged.
`void` `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` `removeNotify()` Extended to remove a listener.
`void` `setFixed(boolean fixed)` Sets whether the handle is fixed and cannot be moved

Methods inherited from class org.eclipse.gef.handles.SquareHandle
`getBorderColor, getFillColor, init, isPrimary, paintFigure`

Methods inherited from class org.eclipse.gef.handles.AbstractHandle
`ancestorAdded, ancestorMoved, ancestorRemoved, createDragTracker, getAccessibleLocation, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, setDragCursor, setDragTracker, setLocator, setOwner, validate`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionHandle

    public ConnectionHandle()

  Creates a new ConnectionHandle.

### ConnectionHandle

    public ConnectionHandle(boolean fixed)

  Creates a new handle with the given fixed setting. If the handle is fixed, it cannot be dragged.

Parameters:
  `fixed` - `true` if the handle cannot be dragged.

Method Detail

### addNotify

    public void addNotify()

  Adds this as a `FigureListener` to the owner's `Figure`.

  Specified by:
    `addNotify` in interface `IFigure`
  Overrides:
    `addNotify` in class `AbstractHandle`

### getConnection

    public Connection getConnection()

  Convenience method to return the owner's figure typed as `Connection`.

  Returns:
    the owner's connection

### isFixed

    protected boolean isFixed()

  Returns true if the handle cannot be dragged.

  Returns:
    `true` if the handle cannot be dragged

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  See Also:
    `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`

### removeNotify

    public void removeNotify()

  Extended to remove a listener.

  Specified by:
    `removeNotify` in interface `IFigure`
  Overrides:
    `removeNotify` in class `AbstractHandle`
  See Also:
    `IFigure.removeNotify()`

### setFixed

    public void setFixed(boolean fixed)

  Sets whether the handle is fixed and cannot be moved

  Parameters:
    `fixed` - `true` if the handle should be unmovable

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.